package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.sys.vo.SysEvaluationTemplatePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.CheckInProcessSequenceDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.SysEvaluationTemplatesDO;

import java.util.List;


public interface SysEvaluationTemplatesService {


    void add(SysEvaluationTemplatesDO templatesDO);

    PageResult<SysEvaluationTemplatesDO> getEvaluationTemplateByPage(SysEvaluationTemplatePageReqVO reqVO);

    SysEvaluationTemplatesDO getDetails(Long id);

    void edit(SysEvaluationTemplatesDO templatesDO);

    void delete(Long id);

    void updateStatus(SysEvaluationTemplatesDO templatesDO);

    List<CheckInProcessSequenceDO> checkInProcessSeqInfo(Integer orgType);
}

